XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

xtest.h
1 /*
2 * This file generated automatically from xtest.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __XTEST_H
13 #define __XTEST_H
14
15 #include "xcb.h"
16 #include "xproto.h"
17
18 #ifdef __cplusplus
19 extern "C" {
20 #endif
21
22 #define XCB_TEST_MAJOR_VERSION 2
23 #define XCB_TEST_MINOR_VERSION 1
24
25 extern xcb_extension_t xcb_test_id;
26
30 typedef struct xcb_test_get_version_cookie_t {
31 unsigned int sequence;
32 } xcb_test_get_version_cookie_t;
33
35 #define XCB_TEST_GET_VERSION 0
36
40 typedef struct xcb_test_get_version_request_t {
41 uint8_t major_opcode;
42 uint8_t minor_opcode;
43 uint16_t length;
44 uint8_t major_version;
45 uint8_t pad0;
46 uint16_t minor_version;
47 } xcb_test_get_version_request_t;
48
52 typedef struct xcb_test_get_version_reply_t {
53 uint8_t response_type;
54 uint8_t major_version;
55 uint16_t sequence;
56 uint32_t length;
57 uint16_t minor_version;
58 } xcb_test_get_version_reply_t;
59
60 typedef enum xcb_test_cursor_t {
61 XCB_TEST_CURSOR_NONE = 0,
62 XCB_TEST_CURSOR_CURRENT = 1
63 } xcb_test_cursor_t;
64
68 typedef struct xcb_test_compare_cursor_cookie_t {
69 unsigned int sequence;
70 } xcb_test_compare_cursor_cookie_t;
71
73 #define XCB_TEST_COMPARE_CURSOR 1
74
78 typedef struct xcb_test_compare_cursor_request_t {
79 uint8_t major_opcode;
80 uint8_t minor_opcode;
81 uint16_t length;
82 xcb_window_t window;
83 xcb_cursor_t cursor;
84 } xcb_test_compare_cursor_request_t;
85
89 typedef struct xcb_test_compare_cursor_reply_t {
90 uint8_t response_type;
91 uint8_t same;
92 uint16_t sequence;
93 uint32_t length;
94 } xcb_test_compare_cursor_reply_t;
95
97 #define XCB_TEST_FAKE_INPUT 2
98
102 typedef struct xcb_test_fake_input_request_t {
103 uint8_t major_opcode;
104 uint8_t minor_opcode;
105 uint16_t length;
106 uint8_t type;
107 uint8_t detail;
108 uint8_t pad0[2];
109 uint32_t time;
110 xcb_window_t root;
111 uint8_t pad1[8];
112 int16_t rootX;
113 int16_t rootY;
114 uint8_t pad2[7];
115 uint8_t deviceid;
116 } xcb_test_fake_input_request_t;
117
119 #define XCB_TEST_GRAB_CONTROL 3
120
124 typedef struct xcb_test_grab_control_request_t {
125 uint8_t major_opcode;
126 uint8_t minor_opcode;
127 uint16_t length;
128 uint8_t impervious;
129 uint8_t pad0[3];
130 } xcb_test_grab_control_request_t;
131
141 /*****************************************************************************
142 **
143 ** xcb_test_get_version_cookie_t xcb_test_get_version
144 **
145 ** @param xcb_connection_t *c
146 ** @param uint8_t major_version
147 ** @param uint16_t minor_version
148 ** @returns xcb_test_get_version_cookie_t
149 **
150 *****************************************************************************/
151
152 xcb_test_get_version_cookie_t
153 xcb_test_get_version (xcb_connection_t *c ,
154 uint8_t major_version ,
155 uint16_t minor_version );
156
169 /*****************************************************************************
170 **
171 ** xcb_test_get_version_cookie_t xcb_test_get_version_unchecked
172 **
173 ** @param xcb_connection_t *c
174 ** @param uint8_t major_version
175 ** @param uint16_t minor_version
176 ** @returns xcb_test_get_version_cookie_t
177 **
178 *****************************************************************************/
179
180 xcb_test_get_version_cookie_t
181 xcb_test_get_version_unchecked (xcb_connection_t *c ,
182 uint8_t major_version ,
183 uint16_t minor_version );
184
200 /*****************************************************************************
201 **
202 ** xcb_test_get_version_reply_t * xcb_test_get_version_reply
203 **
204 ** @param xcb_connection_t *c
205 ** @param xcb_test_get_version_cookie_t cookie
206 ** @param xcb_generic_error_t **e
207 ** @returns xcb_test_get_version_reply_t *
208 **
209 *****************************************************************************/
210
211 xcb_test_get_version_reply_t *
212 xcb_test_get_version_reply (xcb_connection_t *c ,
213 xcb_test_get_version_cookie_t cookie ,
214 xcb_generic_error_t **e );
215
225 /*****************************************************************************
226 **
227 ** xcb_test_compare_cursor_cookie_t xcb_test_compare_cursor
228 **
229 ** @param xcb_connection_t *c
230 ** @param xcb_window_t window
231 ** @param xcb_cursor_t cursor
232 ** @returns xcb_test_compare_cursor_cookie_t
233 **
234 *****************************************************************************/
235
236 xcb_test_compare_cursor_cookie_t
237 xcb_test_compare_cursor (xcb_connection_t *c ,
238 xcb_window_t window ,
239 xcb_cursor_t cursor );
240
253 /*****************************************************************************
254 **
255 ** xcb_test_compare_cursor_cookie_t xcb_test_compare_cursor_unchecked
256 **
257 ** @param xcb_connection_t *c
258 ** @param xcb_window_t window
259 ** @param xcb_cursor_t cursor
260 ** @returns xcb_test_compare_cursor_cookie_t
261 **
262 *****************************************************************************/
263
264 xcb_test_compare_cursor_cookie_t
265 xcb_test_compare_cursor_unchecked (xcb_connection_t *c ,
266 xcb_window_t window ,
267 xcb_cursor_t cursor );
268
284 /*****************************************************************************
285 **
286 ** xcb_test_compare_cursor_reply_t * xcb_test_compare_cursor_reply
287 **
288 ** @param xcb_connection_t *c
289 ** @param xcb_test_compare_cursor_cookie_t cookie
290 ** @param xcb_generic_error_t **e
291 ** @returns xcb_test_compare_cursor_reply_t *
292 **
293 *****************************************************************************/
294
295 xcb_test_compare_cursor_reply_t *
296 xcb_test_compare_cursor_reply (xcb_connection_t *c ,
297 xcb_test_compare_cursor_cookie_t cookie ,
298 xcb_generic_error_t **e );
299
312 /*****************************************************************************
313 **
314 ** xcb_void_cookie_t xcb_test_fake_input_checked
315 **
316 ** @param xcb_connection_t *c
317 ** @param uint8_t type
318 ** @param uint8_t detail
319 ** @param uint32_t time
320 ** @param xcb_window_t root
321 ** @param int16_t rootX
322 ** @param int16_t rootY
323 ** @param uint8_t deviceid
324 ** @returns xcb_void_cookie_t
325 **
326 *****************************************************************************/
327
328 xcb_void_cookie_t
329 xcb_test_fake_input_checked (xcb_connection_t *c ,
330 uint8_t type ,
331 uint8_t detail ,
332 uint32_t time ,
333 xcb_window_t root ,
334 int16_t rootX ,
335 int16_t rootY ,
336 uint8_t deviceid );
337
347 /*****************************************************************************
348 **
349 ** xcb_void_cookie_t xcb_test_fake_input
350 **
351 ** @param xcb_connection_t *c
352 ** @param uint8_t type
353 ** @param uint8_t detail
354 ** @param uint32_t time
355 ** @param xcb_window_t root
356 ** @param int16_t rootX
357 ** @param int16_t rootY
358 ** @param uint8_t deviceid
359 ** @returns xcb_void_cookie_t
360 **
361 *****************************************************************************/
362
363 xcb_void_cookie_t
364 xcb_test_fake_input (xcb_connection_t *c ,
365 uint8_t type ,
366 uint8_t detail ,
367 uint32_t time ,
368 xcb_window_t root ,
369 int16_t rootX ,
370 int16_t rootY ,
371 uint8_t deviceid );
372
385 /*****************************************************************************
386 **
387 ** xcb_void_cookie_t xcb_test_grab_control_checked
388 **
389 ** @param xcb_connection_t *c
390 ** @param uint8_t impervious
391 ** @returns xcb_void_cookie_t
392 **
393 *****************************************************************************/
394
395 xcb_void_cookie_t
396 xcb_test_grab_control_checked (xcb_connection_t *c ,
397 uint8_t impervious );
398
408 /*****************************************************************************
409 **
410 ** xcb_void_cookie_t xcb_test_grab_control
411 **
412 ** @param xcb_connection_t *c
413 ** @param uint8_t impervious
414 ** @returns xcb_void_cookie_t
415 **
416 *****************************************************************************/
417
418 xcb_void_cookie_t
419 xcb_test_grab_control (xcb_connection_t *c ,
420 uint8_t impervious );
421
422
423 #ifdef __cplusplus
424 }
425 #endif
426
427 #endif
428